#! /bin/sh
# @copyright 2021 Network RADIUS SAS (legal@networkradius.com)
# Author: Jorge Pereira <jorge@freeradius.org>
##

if [ -z "$CI_TEST_USER" ]; then
	echo "$0: ERROR: Missing the env CI_TEST_USER"
	exit 1
fi

if [ -z "$CI_TEST_PASS" ]; then
	echo "$0: ERROR: Missing the env CI_TEST_PASS"
	exit 1
fi

#  Configure SSH
cat > /etc/ssh/sshd_config <<EOF
# Generated by $0

Port 22
AddressFamily any
ListenAddress 0.0.0.0
ListenAddress ::
ChallengeResponseAuthentication no
PasswordAuthentication yes

UsePAM yes

X11Forwarding no
PrintMotd yes

SyslogFacility AUTH
LogLevel VERBOSE

IgnoreUserKnownHosts yes
IgnoreRhosts yes
EOF

#  Generate host keys
echo | ssh-keygen -A

#  Create run directory
mkdir -p /run/sshd
